<?php



require_once GREEN_ZONE_DIR . 'Utils/MysqlDB.php';



class ObsFieldQuery
{
  public function __construct()
  {
    $this->db = null;
    $this->fields = null;
  }
  
  public function SetDatabase( $s_db )
  {
    $this->db = $s_db;
  }
  
  public function Execute()
  {
    $this->db->DoQuery( 'describe observations' );
    
    $this->fields = Array();
    for( $ind = 0; $ind < $this->db->FetchNumRows(); $ind ++ )
    {
      $next_row = $this->db->FetchRowAsArray();
      if( $next_row['Key'] != 'PRI' )
        $this->fields[] = $next_row['Field'];
    }
  }
  
  public function GetFields()
  {
    return $this->fields;
  }
  
  private $db;
  private $fields;
};

?>